.init:files:
  image: node:13.12-slim
  #stage: 🖐️various
  rules:
    - if: $CI_COMMIT_BRANCH == "master"
      when: manual
  artifacts:
    reports:
      codequality: gl-code-quality-report.json
      sast: gl-sast-report.json
      secret_detection: gl-secret-detection-report.json
    paths: 
      - ./gl-code-quality-report.json
      - ./gl-sast-report.json
      - ./gl-secret-detection-report.json
  script:
    - echo "[]" > ./gl-code-quality-report.json
    - echo "[]" > ./gl-sast-report.json
    - echo "[]" > ./gl-secret-detection-report.json
